Riki Flutey
English rugby union footballer · New Zealand · On the map · Athletes · Born 1980 · age 46
Riki John Flutey is a retired rugby union player who played internationally for England and the British & Irish Lions. Born in Wairarapa, New Zealand, he represented New Zealand in the U19 age group before qualifying to play for England through residency.
Riki Flutey is read about 14 times a day, in 6 languages.
A typical day, 30 days to 17 June 2026
The middle day of the days counted, so one week of news cannot move it. The line under it is the last 60 days, one point a day.
Something wrong?People around Riki
Close ties
Rob Webber Teammate at Wasps RFC, 2010-2012
Simon Shaw Teammate at Wasps RFC, 2007-2009
Tom Palmer Teammate at Wasps RFC, 2007-2009- Joe Worsley Teammate at Wasps RFC, 2007-2009
Delon Armitage Teammate at London Irish RFC, 2005-2007
James Haskell Teammate at Wasps RFC, 2007-2009
Serge Betsen Teammate at Wasps RFC, 2010-2012
Eoin Reddan Teammate at Wasps RFC, 2007-2009
Joe Launchbury Teammate at Wasps RFC, 2010-2012
Raphaël Ibañez Teammate at Wasps RFC, 2007-2009
Danny Cipriani Teammate at Wasps RFC, 2007-2009
Elliot Daly Teammate at Wasps RFC, 2010-2012
Juan Manuel Leguizamón Teammate at London Irish RFC, 2005-2007
Daniel Leo Teammate at Wasps RFC, 2007-2009
Mike Catt Teammate at London Irish RFC, 2005-2007
Paul Sackey Teammate at Wasps RFC, 2007-2009
Olivier Magne Teammate at London Irish RFC, 2005-2007
Sakaria Taulafo Teammate at Wasps RFC, 2010-2012Tom Voyce Teammate at Wasps RFC, 2007-2009
Career 7
ClubYears
Ricoh Black Rams Tokyo2012
Wasps RFC2010-2012
CA Brive2009-2010
England men’s2008-2011
British & Irish Lions2008
Wasps RFC2007-2009
London Irish RFC2005-2007
About this person
Country
New Zealand
Category
Athletes
Type
Athlete
Status
Living
Dates
Born 1980 · age 46